import { MarkRequired, BaseOptions } from '@vue-macros/common';

type Options = BaseOptions & {
    defineComponent?: {
        alias: string[];
        autoReturnFunction?: boolean;
    };
    defineModel?: {
        alias: string[];
    };
    defineExpose?: {
        alias: string[];
    };
    defineSlots?: {
        alias: string[];
    };
    defineStyle?: {
        alias: string[];
    };
};
type OptionsResolved = MarkRequired<Options, 'include' | 'version' | 'defineComponent' | 'defineModel' | 'defineExpose' | 'defineSlots' | 'defineStyle'>;
declare function resolveOptions(options: Options): OptionsResolved;

export { type Options, type OptionsResolved, resolveOptions };
